    // Demonstrate that a sub class's attribute is not initialized
    // until after its super class's constructor has completed.
class InitializationOrderMain {
    public static void main(String[] args){
        Child child = new Child();
        System.out.println(child.getAttribute());
    }
}

abstract class Parent {
    public Parent(){
        setAttribute("Parent");
    }

    abstract public void setAttribute(String value);
}

class Child extends Parent {
    public String getAttribute(){
        return attribute;
    }

    public void setAttribute(String value){
        System.out.println("Setting attribute to "+value);
        attribute = value;
    }

    // Not initialized until after the Parent constructor.
    private String attribute = "Child";
}
