import javax.swing.*;
import java.awt.*;

        // Draw an oval within the panel.
public class SwingOvalDrawing extends JPanel {
    // Adjust the size of the oval according to the size
    // of the component.
    public void paintComponent(Graphics g){
        super.paintComponent(g);
        // Find out the size of this component.
        Dimension size = getSize();
        // Allow a small gap inside the drawing area.
        final int gap = 1;
        final int width = size.width-2*gap, height = size.height-2*gap;

        // Make sure there is enough space
        if((width > 0) && (height > 0)){
            g.drawOval(gap,gap,width,height);
        }
    }
}
