class Author implements Runnable {
    public Author(Object paper, Object pen){
        this.paper = paper;
        this.pen = pen;
    }

        // Use the pen and paper for writing.
    public void run(){
        while(true){
            Object pen = getPen();
            synchronized(pen){
                Object paper = getPaper();
                synchronized(paper){
                    System.out.println("Writing.");
                    try{
                        // Release the paper.
                        paper.wait();
                    }
                    catch(InterruptedException e){
                    }
                }
            }
        }
    }

    protected Object getPen(){
        return pen;
    }

    protected Object getPaper(){
        return paper;
    }

    private final Object pen, paper;
}
