import java.util.ArrayList;

    // Demonstrate the way in which primitive int values may
    // be wrapped in Integer objects for storage in a collection.
class WrapperMain {
        // Read an arbitrary number of integers and print
        // them in reverse.
    public static void main(String[] args){
        SimpleInput keyboard = new SimpleInput();
        ArrayList numbers = new ArrayList();
        // The terminating value.
        final int endValue = -1;

        System.out.println("Input the numbers, "+endValue+
                           " to finish.");
        // Read the first number.
        int num = keyboard.nextInt();
        // Keep reading until the end of input is indicated.
        while(num != endValue){
            numbers.add(new Integer(num));
            num = keyboard.nextInt();
        }
        // Print the numbers in reverse.
        final int howMany = numbers.size();
        for(int i = howMany-1; i >= 0; i--){
            Integer val = (Integer) numbers.get(i);
            System.out.print(val.intValue()+" ");
        }
        System.out.println();
    }
}
