        // Demonstrate the default behavior of the toString, equals,
        // and hashCode methods a class inherits from its Object
        // super class.
class ObjectMain1 {
    public static void main(String[] args) {
        OldPoint p1 = new OldPoint(10,20);
        OldPoint p2 = new OldPoint(20,20);
        OldPoint p3 = new OldPoint(10,20);
        String s = "I am not a point.";

        // Illustrate toString.
        System.out.println("p1 is "+p1);
        System.out.println("p2 is "+p2);
        System.out.println("p3 is "+p3);

        // Illustrate the default equals test.
        if(p1.equals(p1)){
            System.out.println("p1 equals p1");
        }
        if(p1.equals(p2)){
            System.out.println("p1 equals p2");
        }
        if(p1.equals(p3)){
            System.out.println("p1 equals p3");
        }
        if(p1.equals(s)){
            System.out.println("p1 equals s");
        }

        // Illustrate reference equality, for comparison.
        if(p1 == p1){
            System.out.println("p1 == p1");
        }
        if(p1 == p2){
            System.out.println("p1 == p2");
        }
        if(p1 == p3){
            System.out.println("p1 == p3");
        }
    }
}
