import java.util.Comparator;

class ComparatorExample implements Comparator {
    public int compare(Object o1,Object o2) throws ClassCastException {
        if(o1 == o2){
            return 0;
        }
        else if(o1 == null){
            // Always place null objects towards the end.
            return 1;
        }
        else if(o2 == null){
            return -1;
        }
        else{
            // Either of these casts might fail.
            Student s1 = (Student) o1, s2 = (Student) o2;
            // Only distinguish on mark, not name.
            return s2.getMark()-s1.getMark();
        }          
    }
}
