    /* A minder class for the (bug-ridden) Graph class.
     * Try to make the Graph object, created by the constructor,
     * more usable by protecting it from things it does not like.
     */
class GraphMinder {
        // Create a Graph and look after it.
    public GraphMinder(double minX, double maxX, double minY, double maxY){
        // Set the graph attribute.
        setGraph(new Graph(minX,maxX,minY,maxY));
    }

        // Add the given point into the graph.
    public void addPoint(double x, double y){
        Graph display = getGraph();
        display.drawPoint(x,y);
    }

        // Draw the line (x1,y1)->(x2,y2) on the graph.
    public void addLine(double x1, double y1, double x2, double y2){
        Graph display = getGraph();
        display.drawLine(x1,y1,x2,y2);
    }

    private Graph getGraph(){
        return graph;
    }

    private void setGraph(Graph g){
        graph = g;
    }

    // The graph to be looked after. This must be initialised
    // by this class's constructor.
    private Graph graph;
}
