class GasMain {
    public static void main(String[] args){
        Scheduler scheduler = new Scheduler();
        GasStation station = new GasStation(scheduler);

        // Schedule the first arrival, to kick things off.
        scheduler.schedule(new DriverArrival(0L,station));
        // Schedule a tank refill event at the appropriate time.
        scheduler.schedule(new Refill(scheduler.getTime()+
                                      Refill.refillPeriod,station));

        final long stopTime = 24L*60*60;
        scheduler.run(stopTime);
    }
}
