import javax.swing.*;
import java.awt.*;

class SwingTableFrame2 extends JFrame {
    public SwingTableFrame2() {
        // setSize(width,height);
        Container contents = getContentPane();

        // Define the table's preferred size, to avoid a lot of
        // blank space within the scroll pane.
        final int tableWidth = 400, tableHeight = 100;
        getTable().setPreferredScrollableViewportSize(
                        new Dimension(tableWidth,tableHeight));

        // Add the table to the frame within a scroll pane.
        contents.add(new JScrollPane(getTable()),"Center");

        JPanel buttonPanel = new JPanel();
        buttonPanel.add(new QuitJButton());
        contents.add(buttonPanel,"South");

        pack();
    }

        // Receive the League to be displayed.
    public void setLeague(League teams){
        // An appropriate table model is needed.
        getTable().setModel(new LeagueTableModel(teams));
    }

    protected JTable getTable(){
        return table;
    }

    private final JTable table = new JTable();
}
